Lavalite package that provides dfgh management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `dfghj/dfgh`.

    "dfghj/dfgh": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Dfghj\Dfgh\Providers\DfghServiceProvider::class,

And also add it to alias

    'Dfgh'  => Dfghj\Dfgh\Facades\Dfgh::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Dfghj\\DfghTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Dfghj\Dfgh\Providers\DfghServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/dfgh/{modulename}

**User**

    http://path-to-route-folder/user/dfgh/{modulename}

**Public**

    http://path-to-route-folder/dfghs


### API endpoints

**List**

    http://path-to-route-folder/api/user/dfgh/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/dfgh/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/dfgh/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/dfgh/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/dfgh/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/dfgh/{modulename}/{slug}
    METHOD: GET